class Document     # Reopen the class
  def initialize_copy(other)
    @timestamp = Time.now
  end
end

doc3 = Document.new("More Stuff",File.read("otherfile"))
sleep 300                          # Wait awhile...
doc4 = doc3.clone
doc3.timestamp == doc4.timestamp   # false
# Timestamps are now accurate.

